
package nlib.bbs.service.impl;

import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import nlib.bbs.service.BoardServiceApi;
import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

@Service("boardService")
public class BoardServiceImplApi implements BoardServiceApi
{
	private static final Logger log = LoggerFactory.getLogger(BoardServiceImplApi.class);
	
	@Resource(name = "boardDAO")
	private BoardDAOApi boardDAO;


	public DataApiResVO listNotices(DataApiReqVO reqVO)  {
		return boardDAO.listNotices(reqVO);
	}

	public DataApiResVO selectNotice(DataApiReqVO reqVO)  {
		return boardDAO.selectNotice(reqVO);
	}

	public DataApiResVO listFAQs(DataApiReqVO reqVO)  {
		return boardDAO.listFAQs(reqVO);
	}
	
	public DataApiResVO selectFAQ(DataApiReqVO reqVO) {
		return boardDAO.selectFAQ(reqVO);
	}

	/* 
	 * 묻고답하기 목록 조회한다.
	 * 
	 * (non-Javadoc)
	 * @see nlib.bbs.service.BoardService#listQnAs(nlib.restful.service.DataApiReqVO)
	 */
	public DataApiResVO listQnAs(DataApiReqVO reqVO)  {
		return boardDAO.listQnAs(reqVO);
	}

	public DataApiResVO selectQnA(DataApiReqVO reqVO)  {
		return boardDAO.selectQnA(reqVO);
	}

	public DataApiResVO insertQnA(DataApiReqVO reqVO)  {
		return boardDAO.insertQnA(reqVO);
	}

	public DataApiResVO verifyWriter(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO updateQnA(DataApiReqVO reqVO)  {
		return boardDAO.updateQnA(reqVO);
	}

	public DataApiResVO deleteQnA(DataApiReqVO reqVO)  {
		return boardDAO.deleteQnA(reqVO);
	}


}